Bug 858733 - nc should require socat
nc should require socat
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nmap (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-19 10:19 EDT by Martin Kletzander
Modified: 2012-12-20 10:33 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:33:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kletzander 2012-09-19 10:19:20 EDT
Description of problem:
The package 'nc' doesn't require package 'socat' that's needed for running 'nc' with '-U' option.

Version-Release number of selected component (if applicable):
nmap-ncat-6.01-4.fc18.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Install minimal Fedora 18 (I used 'text' installation)
2. Install nmap-ncap
3. Run nc with unix socket (e.g. nc -U /), path doesn't matter.
  
Actual results:
# nc -U /
/bin/nc: line 5: exec: socat: not found


Expected results:
# nc -U /
2012/09/19 13:58:10 socat[614] E open("/", 02002, 0666): Is a directory


Additional info:
Adding socat as a requirement in the spec file should be enough, I guess.
Comment 1 Petr Šabata 2012-10-02 09:17:22 EDT
Hmm, I see socat is required by the base nmap package (which doesn't get pulled in by nmap-ncat).  This is a trivial fix...

(Also, correcting the component.)
Comment 2 Fedora Update System 2012-10-02 10:09:13 EDT
nmap-6.01-7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nmap-6.01-7.fc18
Comment 3 Fedora Update System 2012-10-02 15:48:25 EDT
Package nmap-6.01-7.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nmap-6.01-7.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15214/nmap-6.01-7.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-12-20 10:33:43 EST
nmap-6.01-7.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.